class Question < ApplicationRecord
    has_paper_trail
    belongs_to :survey
    acts_as_list scope: :survey
    has_many :answers, dependent: :destroy
    has_many :choices, dependent: :destroy
    validates_presence_of :title, :question_type
    accepts_nested_attributes_for :choices, allow_destroy: true
    enum question_type: %i[text multiple_choice unique_choice]
    after_save :reorder_studios

    private
    def reorder_studios
        self.insert_at(self.position) if self.position_changed?
    end

end